Bug 839434 - (ENGINE_VIRT_PCI_Bridge) [RFE] PCI Bridge Support in engine
[RFE] PCI Bridge Support in engine
Status: NEW
Product: ovirt-engine
Classification: oVirt
Component: RFEs (Show other bugs)
---
Unspecified Unspecified
unspecified Severity medium (vote)
: ---
: ---
Assigned To: Rob Young
Shai Revivo
: FutureFeature
Depends On: 737721 737723 818006 827542
Blocks: 818005 843996 844000 844001
  Show dependency treegraph
 
Reported: 2012-07-11 20:58 EDT by Karen Noel
Modified: 2017-09-28 05:35 EDT (History)
13 users (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of: 818005
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: Virt
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
ylavi: ovirt‑future?
rule-engine: planning_ack?
rule-engine: devel_ack?
rule-engine: testing_ack?


Attachments (Terms of Use)

  None (edit)
Description Karen Noel 2012-07-11 20:58:14 EDT
+++ This bug was initially created as a clone of Bug #818005 +++

https://home.corp.redhat.com/wiki/rhel-7-feature-page-pci-bridge

Description:

Bridge allows more than 32 PCI devices, each one individually hotpluggable.

PRD Requirements:

* 10.3.1.1.4: Deliver PCI bridge support for all supported devices 7.0

Key functional requirements: 

Ability to support up to ~900 devices, each one individually hotpluggable/unpluggable.

Constraints and limitations: Only one level of bridge hierarchy. No support for hot-plugging bridges. Might not support multifunction devices behind bridges.
Comment 2 Michal Skrivanek 2014-07-03 03:33:23 EDT
management of each device might become tricky with the various limitations.
If I read it correctly, you need to decide up front how many bridges are going to be there and then decide where to plug each device.
We have no notion/granularity like that ATM. We're looking into adding a device tree so you can at least see how are they laid out. Later on we can evolve this into actions (add device here).

if we want something before the device tree it's going to be tricky as we don't really have any good device identification before frost VM run.
Comment 3 Michal Skrivanek 2014-07-07 08:18:19 EDT
s/frost/first/ :-)

Note You need to log in before you can comment on or make changes to this bug.